## python-diskimage-builder 0.1.13

=== debian/changelog ===
python-diskimage-builder (0.1.13-2) unstable; urgency=medium

  [ Thomas Bechtold ]
  * Add debian/clean file to cleanup egg-info and .testrepository directory.
  * debian/gbp.conf: Don't use pristine-tar explicit.
  * debian/control:
    - Add python3 packages to Build-Depends.
    - Add kpartx to Depends according to README.md.
    - Add debootstrap to Depends. Needed to build Debian images.
  * debian/watch: Use github tags instead of pypi.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Adds qemu-utils (and *NOT* qemu-img) as depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:46:29 +0000

python-diskimage-builder (0.1.8-2) experimental; urgency=medium

  * Added missing subunit build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 09:17:57 +0000

python-diskimage-builder (0.1.8-1) experimental; urgency=low

  * Initial release. (Closes: #723823)

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Mar 2014 17:13:48 +0800

## python-diskimage-builder 0.1.30

=== requirements.txt ===
Babel>=1.3
argparse

=== debian/changelog ===
python-diskimage-builder (0.1.30-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2014 14:33:25 +0800

=== debian/control ===
Source: python-diskimage-builder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures,
                     python-hacking (>= 0.8),
                     python-subunit (>= 0.0.18),
                     python3-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python3-testtools (>= 0.9.34),
                     testrepository (>= 0.0.17),
                     subunit (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://git.gplhost.com/gitweb/?p=openstack/python-diskimage-builder.git
Vcs-Git: http://git.gplhost.com/openstack/python-diskimage-builder.git
Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

Package: python-diskimage-builder
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         ${misc:Depends},
         ${python:Depends},
         kpartx,
         qemu-utils,
         debootstrap,
Recommends: ${python:Recommends}
Description: image building tools for Openstack
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		python setup.py testr --slowest --testr-args='--subunit  ' \
			| tee $$TEMP_REZ | subunit2pyunit && \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats && \
		rm -f $$TEMP_REZ
endif

## python-diskimage-builder 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
argparse
dib-utils # Apache-2.0
PyYAML>=3.1.0

=== debian/changelog ===
python-diskimage-builder (1.0.0-2+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs.
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 20 Sep 2016 11:11:00 +0000

python-diskimage-builder (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Depends on jq (Closes: #783517).
  * Now depends on uuid-runtime (Closes: #791655).

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Aug 2015 09:56:02 +0000

python-diskimage-builder (0.1.46-1) unstable; urgency=medium

  * New upstream release (Closes: #788096).
  * Fixed (build-)dependencies.
  * Cleans leftovers .pyc in the package after python setup.py install.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jun 2015 10:21:41 +0200

=== debian/control ===
Source: python-diskimage-builder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: jq,
                     python-babel,
                     python-dib-utils,
                     python-hacking,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-yaml,
                     subunit,
                     testrepository,
                     uuid-runtime,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-diskimage-builder.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-diskimage-builder.git
Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

Package: python-diskimage-builder
Architecture: all
Depends: debootstrap,
         jq,
         kpartx,
         python-babel,
         python-dib-utils,
         python-yaml,
         qemu-utils,
         uuid-runtime,
         ${misc:Depends},
         ${python:Depends},
Description: image building tools for Openstack
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,16 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = git://github.com/openstack/diskimage-builder.git
+UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2
+
+override_dh_auto_install:
+	dh_auto_install
+	# Delete left over compiled binaries.
+	find $(CURDIR)/debian/python-diskimage-builder -iname '*.pyc' -delete
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

## python-diskimage-builder 1.19.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=2.3.4 # BSD
dib-utils # Apache-2.0
pbr>=1.6 # Apache-2.0
PyYAML>=3.1.0 # MIT
flake8<2.6.0,>=2.5.4 # MIT
six>=1.9.0 # MIT
oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (1.19.1-1+33~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 27 Sep 2016 23:41:37 +0000

python-diskimage-builder (1.19.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.8 (no change).
  * Add debian/python-diskimage-builder.lintian-overrides

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2016 22:54:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,25 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr,
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: jq,
-                     python-babel,
+                     python-babel (>= 2.3.4),
                      python-dib-utils,
                      python-hacking,
+                     python-six (>= 1.9.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1:1.10.0),
                      python-yaml,
                      subunit,
                      testrepository,
                      uuid-runtime,
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-diskimage-builder.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-diskimage-builder.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-diskimage-builder?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-diskimage-builder -b debian/newton
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: python-diskimage-builder
@@ -30,8 +31,10 @@
 Depends: debootstrap,
          jq,
          kpartx,
-         python-babel,
+         python-babel (>= 2.3.4),
          python-dib-utils,
+         python-pbr (>= 1.8),
+         python-six (>= 1.9.0),
          python-yaml,
          qemu-utils,
          uuid-runtime,

## python-diskimage-builder 2.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=2.3.4 # BSD
pbr>=1.8 # Apache-2.0
PyYAML>=3.10.0 # MIT
flake8<2.6.0,>=2.5.4 # MIT
six>=1.9.0 # MIT
oslosphinx>=4.7.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (2.0.0~rc1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 27 Apr 2017 08:17:25 +0000

python-diskimage-builder (2.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/watch: Point to use the tarballs. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 10:41:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr,
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: jq,
-                     python-babel (>= 2.3.4),
+                     python-babel,
                      python-dib-utils,
                      python-hacking,
-                     python-six (>= 1.9.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.5.1),
                      python-yaml,
                      subunit,
                      testrepository,
                      uuid-runtime,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-diskimage-builder?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-diskimage-builder -b debian/newton
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: python-diskimage-builder
@@ -31,10 +31,8 @@
 Depends: debootstrap,
          jq,
          kpartx,
-         python-babel (>= 2.3.4),
+         python-babel,
          python-dib-utils,
-         python-pbr (>= 1.8),
-         python-six (>= 1.9.0),
          python-yaml,
          qemu-utils,
          uuid-runtime,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/diskimage-builder/ diskimage-builder-(\d.*)\.tar\.gz

## python-diskimage-builder 2.10.1

=== debian/changelog ===
python-diskimage-builder (2.10.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 21:14:52 +0000

python-diskimage-builder (2.10.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:29 +0000

python-diskimage-builder (2.10.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated debian/copyright.
  * Standards-Version is now 4.1.3.
  * Add Python 3 support.
  * Add a -doc package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 14:17:28 +0000

python-diskimage-builder (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Standards-Version: 4.1.1
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2017 21:04:19 +0100

=== debian/control ===
Source: python-diskimage-builder
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 66~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 jq,
 python-babel,
 python-fixtures,
 python-hacking,
 python-networkx,
 python-openstackdocstheme (>= 1.17.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-six,
 python-stevedore (>= 1.20.0),
 python-testtools (>= 2.2.0),
 python-yaml,
 python3-babel,
 python3-fixtures,
 python3-hacking,
 python3-networkx,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
 uuid-runtime,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

Package: diskimage-builder-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: image building tools for Openstack - doc
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the documentation.

Package: python-diskimage-builder
Architecture: all
Depends:
 debootstrap,
 jq,
 kpartx,
 python-babel,
 python-networkx,
 python-pbr (>= 2.0.0),
 python-six,
 python-stevedore (>= 1.20.0),
 python-yaml,
 qemu-utils,
 uuid-runtime,
 ${misc:Depends},
 ${python:Depends},
Description: image building tools for Openstack - Python 2.7
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the Python 2.7 version.

Package: python3-diskimage-builder
Architecture: all
Depends:
 debootstrap,
 jq,
 kpartx,
 python3-babel,
 python3-networkx,
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 qemu-utils,
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
Description: image building tools for Openstack - Python 3.x
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the Python 3.x version.

## python-diskimage-builder 2.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel!=2.4.0,>=2.3.4 # BSD
networkx<2.0,>=1.10 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.10 # MIT
flake8<2.6.0,>=2.5.4 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (2.11.0-0ubuntu1) bionic; urgency=medium

  * Resync with Debian unstable.
  * Update Vcs-* fields.
  * Re-add gbp.conf.
  * Lower minimum version for openstack-pkg-tools.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Mar 2018 11:27:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 66~),
+ openstack-pkg-tools (>= 54~),
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
+ python3-sphinx,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
  jq,
  python-babel,
@@ -43,8 +44,8 @@
  testrepository,
  uuid-runtime,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/diskimage-builder-doc/usr/share/doc/diskimage-builder-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-diskimage-builder 2.16.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel!=2.4.0,>=2.3.4 # BSD
networkx>=1.10 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
flake8<2.6.0,>=2.5.4 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (2.16.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes FTBFS due to failed tests (Closes: #906551).
    - Reproducible patch applied upstream (Closes: #892020).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 09:49:08 +0200

python-diskimage-builder (2.10.1-6) unstable; urgency=medium

  * Add missing git command runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Mar 2018 14:19:19 +0200

python-diskimage-builder (2.10.1-5) unstable; urgency=medium

  * Added missing curl command runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Mar 2018 14:08:15 +0200

python-diskimage-builder (2.10.1-4) unstable; urgency=medium

  * Add patch to package all files.
  * Fix python / python3 shebangs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Mar 2018 10:42:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 54~),
+ openstack-pkg-tools (>= 66~),
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python3-sphinx,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  jq,
  python-babel,
@@ -24,7 +23,7 @@
  python-networkx,
  python-openstackdocstheme (>= 1.17.0),
  python-oslosphinx (>= 2.5.0),
- python-oslotest (>= 1:1.10.0),
+ python-oslotest (>= 1:3.2.0),
  python-six,
  python-stevedore (>= 1.20.0),
  python-testtools (>= 2.2.0),
@@ -33,9 +32,9 @@
  python3-fixtures,
  python3-hacking,
  python3-networkx,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1:1.10.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-six,
  python3-stevedore (>= 1.20.0),
  python3-testtools (>= 2.2.0),
@@ -44,8 +43,8 @@
  testrepository,
  uuid-runtime,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -72,7 +71,9 @@
 Package: python-diskimage-builder
 Architecture: all
 Depends:
+ curl,
  debootstrap,
+ git,
  jq,
  kpartx,
  python-babel,
@@ -103,7 +104,9 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
+ curl,
  debootstrap,
+ git,
  jq,
  kpartx,
  python3-babel,

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,24 @@
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+	dh_python3 --shebang=/usr/bin/python3 /usr/lib/python3
+	set -e ; set -x ; for i in `find $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages -type f` ; do \
+		sed -i 's#/usr/bin/python#/usr/bin/python3#' $$i ; \
+		sed -i 's#/usr/local/bin/dib-python#/usr/bin/dib-python#' $$i ; \
+		sed -i 's|#!python|#!/usr/bin/python3|' $$i ; \
+		sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' $$i ; \
+	done
+	set -e ; set -x ; for i in `find $(CURDIR)/debian/python-diskimage-builder/usr/lib/python*/dist-packages -type f` ; do \
+		sed -i 's#/usr/local/bin/dib-python#/usr/bin/dib-python#' $$i ; \
+	done
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x $(CURDIR)/debian/python-diskimage-builder/usr/lib/python2.7/dist-packages/diskimage_builder/lib/*
+	chmod +x $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages/diskimage_builder/lib/*
+
 # Commands not to run
 override_dh_installcatalogs:
 override_dh_installemacsen override_dh_installifupdown:

=== debian/watch ===
version=3
https://github.com/openstack/diskimage-builder/tags .*/(\d[\d\.]+)\.tar\.gz

## python-diskimage-builder 2.17.0

=== debian/changelog ===
python-diskimage-builder (2.17.0-0ubuntu4) eoan; urgency=medium

  * Drop update-alternatives maintainer script handling, which is broken.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Sep 2019 20:02:03 +0000

python-diskimage-builder (2.17.0-0ubuntu3) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Sep 2019 09:31:56 -0700

python-diskimage-builder (2.17.0-0ubuntu2) disco; urgency=medium

  * d/rules: Ensure python3 shebangs are set to /usr/bin/python3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 23 Nov 2018 13:59:53 +0000

python-diskimage-builder (2.17.0-0ubuntu1) cosmic; urgency=medium

  * d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * d/python{3}-diskimage-builder.install: add explicit install for
    lib and elements components for dib.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Sep 2018 14:01:17 -0600

=== debian/control ===
Source: python-diskimage-builder
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 54~),
 python3-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 jq,
 python3-babel,
 python3-fixtures,
 python3-hacking,
 python3-networkx,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-testtools (>= 2.2.0),
 python3-yaml,
 subunit,
 testrepository,
 uuid-runtime,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder

Package: diskimage-builder-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: image building tools for Openstack - doc
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the documentation.

Package: python3-diskimage-builder
Architecture: all
Depends:
 debootstrap,
 jq,
 kpartx,
 python3-babel,
 python3-networkx,
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-yaml,
 qemu-utils,
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
Description: image building tools for Openstack - Python 3.x
 Diskimage-builder tools are the components of TripleO that are responsible for
 building disk images. It has the core functionality for building disk images,
 filesystem images and ramdisk images for use with OpenStack (both virtual and
 bare metal). The core functionality includes the various operating system
 specific modules for disk/filesystem images, and deployment and hardware
 inventory ramdisks.
 .
 The TripleO project also develops elements that can be used to deploy
 OpenStack itself. While users and operators can manually script or put
 together ram disks and disk images, mature automation makes customisation and
 testing easier.
 .
 This package provides the Python 3.x version.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/diskimage-builder-doc/usr/share/doc/diskimage-builder-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-diskimage-builder 2.20.3

=== debian/changelog ===
python-diskimage-builder (2.20.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Removed versions of dependencies statisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:02:25 +0200

python-diskimage-builder (2.20.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests using installed Python module.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 10:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,36 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 54~),
+ openstack-pkg-tools,
+ python3-all,
+ python3-pbr,
+ python3-setuptools,
  python3-sphinx,
- python3-all,
- python3-pbr (>= 2.0.0),
- python3-setuptools,
 Build-Depends-Indep:
  jq,
  python3-babel,
  python3-fixtures,
  python3-hacking,
  python3-networkx,
- python3-openstackdocstheme (>= 1.17.0),
- python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1:1.10.0),
+ python3-openstackdocstheme,
+ python3-oslosphinx,
+ python3-oslotest,
  python3-six,
- python3-stevedore (>= 1.20.0),
- python3-testtools (>= 2.2.0),
+ python3-stevedore,
+ python3-testtools,
  python3-yaml,
  subunit,
  testrepository,
  uuid-runtime,
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -58,14 +57,16 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
+ curl,
  debootstrap,
+ git,
  jq,
  kpartx,
  python3-babel,
  python3-networkx,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-six,
- python3-stevedore (>= 1.20.0),
+ python3-stevedore,
  python3-yaml,
  qemu-utils,
  uuid-runtime,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/diskimage-builder-doc/usr/share/doc/diskimage-builder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	dh_python3 --shebang=/usr/bin/python3 /usr/lib/python3
	set -e ; set -x ; for i in `find $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages -type f` ; do \
		sed -i 's#/usr/bin/python#/usr/bin/python3#' $$i ; \
		sed -i 's#/usr/local/bin/dib-python#/usr/bin/dib-python#' $$i ; \
		sed -i 's|#!python|#!/usr/bin/python3|' $$i ; \
		sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' $$i ; \
	done

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/python3-diskimage-builder/usr/lib/python3/dist-packages/diskimage_builder/lib/*

## python-diskimage-builder 2.35.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel!=2.4.0,>=2.3.4 # BSD
# NOTE(fdegir): NetworkX 2.3 dropped support for Python 2
networkx>=1.10,<2.3;python_version<'3.0' # BSD
networkx>=1.10;python_version>='3.4' # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
# NOTE(ianw) in here because dib-lint uses flake8
flake8<4.0.0,>=3.6.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-diskimage-builder (2.35.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:27:01 -0400

python-diskimage-builder (2.33.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:15:15 -0400

python-diskimage-builder (2.32.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 29 Jan 2020 15:20:41 +0100

python-diskimage-builder (2.31.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/rules, d/control, d/python(3)-diskimage-builder.*: Drop py2 support.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 15:58:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: python-diskimage-builder
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 54~),
+ python3-sphinx (>= 1.6.2),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
 Build-Depends-Indep:
  jq,
- python3-babel,
- python3-fixtures,
- python3-hacking,
- python3-networkx,
- python3-openstackdocstheme,
- python3-oslosphinx,
- python3-oslotest,
- python3-six,
- python3-stevedore,
- python3-testtools,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-networkx (>= 1.10),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-testtools (>= 2.2.0),
+ python3-yaml (>= 3.12),
  subunit,
  testrepository,
  uuid-runtime,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-diskimage-builder.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-diskimage-builder
 Homepage: https://git.openstack.org/cgit/openstack/diskimage-builder
 
 Package: diskimage-builder-doc
@@ -57,17 +58,15 @@
 Package: python3-diskimage-builder
 Architecture: all
 Depends:
- curl,
  debootstrap,
- git,
  jq,
  kpartx,
- python3-babel,
- python3-networkx,
- python3-pbr,
- python3-six,
- python3-stevedore,
- python3-yaml,
+ python3-babel (>= 2.3.4),
+ python3-networkx (>= 1.10),
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-yaml (>= 3.12),
  qemu-utils,
  uuid-runtime,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=diskimage_builder

UPSTREAM_GIT := https://github.com/openstack/diskimage-builder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/diskimage-builder-doc/usr/share/doc/diskimage-builder-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
